Eccube\Entity\Product:
    type: entity
    table: dtb_product
    repositoryClass: Eccube\Repository\ProductRepository
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            id: true
            column: product_id
            generator:
                strategy: AUTO
    fields:
        name:
            type: text
            nullable: false
            length: 65535
        note:
            type: text
            nullable: true
            length: 65535
        description_list:
            type: text
            nullable: true
            length: 65535
        description_detail:
            type: text
            nullable: true
            length: 65535
        search_word:
            type: text
            nullable: true
            length: 65535
        free_area:
            type: text
            nullable: true
            length: 65535
        del_flg:
            type: smallint
            nullable: false
            unsigned: false
            options:
                default: '0'
        create_date:
            type: datetime
            nullable: false
        update_date:
            type: datetime
            nullable: false
    manyToOne:
        Creator:
            targetEntity: Eccube\Entity\Member
            joinColumn:
                name: creator_id
                referencedColumnName: member_id
                nullable: false
        Status:
            targetEntity: Eccube\Entity\Master\Disp
            joinColumn:
                name: status
                referencedColumnName: id
                default: 2
    oneToMany:
        ProductCategories:
            targetEntity: Eccube\Entity\ProductCategory
            cascade: ["persist", "remove"]
            mappedBy: Product
        ProductClasses:
            targetEntity: Eccube\Entity\ProductClass
            cascade: ["persist"]
            mappedBy: Product
        ProductImage:
            targetEntity: Eccube\Entity\ProductImage
            mappedBy: Product
            orderBy:
                rank: ASC
        ProductTag:
            targetEntity: Eccube\Entity\ProductTag
            mappedBy: Product
        CustomerFavoriteProducts:
            targetEntity: Eccube\Entity\CustomerFavoriteProduct
            mappedBy: Product
    lifecycleCallbacks: {  }
